%def_enable shared
%def_enable static
%def_without debug

%def_enable asm
%def_enable sdl
%def_enable xv
%def_enable gtk
%def_without x
# YV12|YUY2
%define pal-yuv YUY2
#----------------------------------------------------------------------

Name: libdv
Version: 1.0.0
Release: alt2
Summary: DV software video codec
License: LGPL
Group: System/Libraries
URL: http://libdv.sourceforge.net
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Patch: %name-mmxdetect-athlon.patch.bz2
%define popt_ver 1.7-alt5
Requires: libpopt >= %popt_ver
BuildPreReq: libpopt-devel >= %popt_ver

# Automatically added by buildreq on Thu Oct 05 2006
#BuildRequires: esound gcc-c++ gtk+-devel imake libpopt-devel libSDL-devel libXt-devel libXv-devel linux-libc-headers xorg-cf-files

%{?_enable_sdl:BuildRequires: libSDL-devel >= 1.1.6}
%{?_enable_xv:BuildRequires: libXv-devel}
%{?_enable_gtk:BuildRequires: gtk+-devel > 1.2}
%{?_with_x:BuildRequires: libXt-devel xorg-cf-files}

%description
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface. libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.

%name package contains shared libraries you can use to run libdv
applications.


%package devel
Summary: Development files from libdv
Group: Development/C
Requires: %name%{?_disable_shared:-devel-static} = %version-%release
Requires: libpopt-devel >= %popt_ver

%description devel
The Quasar DV codec (%name) is a software codec for DV video. DV is the
encoding format used by most digital camcorders, typically those that
support the IEEE 1394 (aka FireWire or i.Link) interface. %name was
developed according to the official standards for DV video, IEC 61834
and SMPTE 314M.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.


%package devel-static
Summary: Static libdv libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The Quasar DV codec (%name) is a software codec for DV video. DV is the
encoding format used by most digital camcorders, typically those that
support the IEEE 1394 (aka FireWire or i.Link) interface. %name was
developed according to the official standards for DV video, IEC 61834
and SMPTE 314M.

This package contains static libraries you can use to build %name
applications.


%package utils
Summary: Binaries from libdv
Group: Video
Requires: %name = %version-%release
Requires: libpopt >= %popt_ver

%description utils
The Quasar DV codec (%name) is a software codec for DV video. DV is the
encoding format used by most digital camcorders, typically those that
support the IEEE 1394 (aka FireWire or i.Link) interface. %name was
developed according to the official standards for DV video, IEC 61834
and SMPTE 314M.


%prep
%setup -q
%patch -p1

%build
%add_optflags %optflags_shared
%configure \
    %{subst_enable static} \
    %{subst_enable shared} \
    %{subst_with debug} \
    %{subst_enable asm} \
    %{subst_enable sdl} \
    %{subst_enable gtk} \
    %{subst_enable xv} \
    %{subst_with x} \
    %{?pal_yuv:--with-pal-yuv=%pal_yuv}

%make_build


%install
%make_install DESTDIR=%buildroot install
bzip2 --best --keep --force ChangeLog
gzip --best --stdout TODO > TODO.gz

%{?_enable_asm:%set_verify_elf_method textrel=relaxed}


%if_enabled shared
%post -p %post_ldconfig
%postun -p %postun_ldconfig
%endif


%if_enabled shared
%files
%doc AUTHORS
%_libdir/*.so.*
%endif


%files devel
%doc ChangeLog.* TODO.*
%{?_disable_shared:%doc AUTHORS}
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*


%if_enabled static
%files devel-static
%_libdir/*.a
%endif


%files utils
%doc README.*
%_bindir/*
%_man1dir/*


%changelog
* Wed Feb 14 2007 Led <led@altlinux.ru> 1.0.0-alt2
- fixed License (#6688)
- cleaned up BuildPreReq

* Thu Oct 05 2006 Led <led@altlinux.ru> 1.0.0-alt1
- 1.0.0
- cleaned up spec

* Fri Jan 13 2006 LAKostis <lakostis at altlinux.ru> 0.104-alt1.1
- NMU;
- remove unwanted builddeps;
- s,kernel-headers-up,linux-libc-headers;
- PIC fixes to x86_64 code (from Mandriva).

* Tue Dec 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.104-alt1
- 0.104

* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.102-alt1
- 0.102
- do not build devel-static subpackage by default.

* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99-alt2
- use libtool-1.4.
- do not package .la files.
- use %%set_verify_elf_method textrel=relaxed, I can't fix asm code.

* Mon Apr 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99-alt1
- 0.99

* Wed Oct 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.98-alt2
- Rebuild with gcc-3.2. 

* Tue Aug 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.98-alt1.1
- 0.98
- (inger) update buildres (XFree86-static-libs)

* Fri May 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.5-alt1
- First build for Sisyphus.
